# Potion Ideas

Potions can change the following character variables:
- Health (HP)
- Attack (ATK)
- Defense (DEF)
- Hit Rate (HR)

Note: 
- All variables except HP are calculated in-turn before potion calculation.
- HP, ATK, DEF, HR can never drop below 0 ( i.e. >= 0 )

## Default Potions

### Positive Potions

> These potions give the player an advantage.

1. Restore Health (RH): +10HP (up to race max health)
2. Boost Atk (BA): +5 ATK
3. Boost Def (BD): +5 DEF 

### Negative Potions

> These potions give the player a disadvantage.

1. Poison Health (PH): -10 HP (down to 0 HP)
2. Wound Atk (WA): -5 ATK
3. Wound Def (WD): -5 DEF

## Additional Potions (DLC)

### Positive Potions

> These potions give the player an advantage.

1. Vitality Vial (VV): +20 HP
2. Power Surge (PS): +10 ATK
3. Ironhide Tonic (IT): +10 DEF
4. Precision Elixir (PE): +10% HR

### Neutral Potions

> These potions give the player an advantage, but come at some cost.

1. Berzerk Brew (BB): For the next 5 turns, 2x ATK, -50% DEF 
2. Savage Strike (SS): +25% ATK, -20% HR 
3. Fortune's Gambit (FB): 33% chance of +50 HP, 66% chance of -10 HP, -10 ATK, -10 DEF 
4. Echoing Resilience (ER): +15 HP, -5 ATK, -5 DEF
5. Tempest Tantrum (TT): 3x ATK, -50% DEF, -25% HP (glass cannon)
6. Ironclad Ward (IW): 3x DEF, -50% ATK, -25% HR (stone wall)

### Negative Potions

> These potions give the player a disadvantage.

1. Glassheart Tincture (GT): -15 HP
2. Dullblade Draft (DD): -10 ATK
3. Serum of Exposure (SE): -10 DEF
4. Veiled Precision (VP): -10% HR

