#ifndef __CC3K_H__
#define __CC3K_H__

#include "input.h"
#include "output.h"
#include "game.h"
#include "menu.h"
#include "result.h"

class CC3K final {
private:
        const feature enabled_features;
        input *in;
        output *out;
        RNG *rng;

        game_result gresult;
        std::unique_ptr<game> curr_game;
        std::unique_ptr<menu> curr_menu;
public:
        CC3K(const feature enabled_features,
             input *in, output *out, RNG *rng);
        game_status run();
};

#endif
