#include "merchant.h"

#include "../constants.h"

merchant::merchant(RNG *rng, const feature enabled_features,
                   const position &pos, const int gen_room_num):
        enemy_base{rng, enabled_features, rmerchant, pos, gen_room_num, "M"} {}

void merchant::print(output *out) {
        out->print_char(pos, 'M', COLOR_PAIR(COLOR_RED));
}

const char *merchant::get_race_name() const {
        return "Merchant";
}
