#include "dwarf.h"

#include "../constants.h"

dwarf::dwarf(RNG *rng, const feature enabled_features, const position &pos,
             const int gen_room_num):
        enemy_base{rng, enabled_features, rdwarf, pos, gen_room_num, "W"} {}

void dwarf::print(output *out) {
        out->print_char(pos, 'W', COLOR_PAIR(COLOR_RED));
}

const char *dwarf::get_race_name() const {
        return "Dwarf";
}
