#include "human.h"

#include "../constants.h"

human::human(RNG *rng, const feature enabled_features, const position &pos,
             const int gen_room_num):
        enemy_base{rng, enabled_features, rhuman, pos, gen_room_num, "H"} {}

void human::print(output *out) {
        out->print_char(pos, 'H', COLOR_PAIR(COLOR_RED));
}

const char *human::get_race_name() const {
        return "Human";
}
