#include "orc.h"

#include "../constants.h"

orc::orc(RNG *rng, const feature enabled_features, const position &pos,
         const int gen_room_num):
        enemy_base{rng, enabled_features, rorc, pos, gen_room_num, "O"} {}

void orc::print(output *out) {
        out->print_char(pos, 'O', COLOR_PAIR(COLOR_RED));
}

const char *orc::get_race_name() const {
        return "Orc";
}
