#ifndef __GOLD_H__
#define __GOLD_H__

#include <vector>
#include "position.h"
#include "rng.h"

struct gold {
        int amount;
        position pos;
};

typedef std::vector<gold> gold_list;

gold get_gold_at(const position &pos, gold_list &glist);
int rand_gold_pile(RNG *rng);
int rand_gold_drop(RNG *rng);

#endif
