#include "troll.h"

#include "../constants.h"

troll::troll(RNG *rng, const feature enabled_features):
        player_base{rng, enabled_features, rtroll} {}

const char *troll::get_race_name() const {
        return "Troll";
}

void troll::start_turn() {
        ATK = STARTING_ATK[rtroll];
        DEF = STARTING_DEF[rtroll];
        base_hit_rate = {1, 1};
        HP = HP + GAIN_HP < MAX_HP[rtroll] ? HP + GAIN_HP : MAX_HP[rtroll];
}
