#ifndef __WOUND_DEF_H__
#define __WOUND_DEF_H__

#include "../potion.h"

class wound_def final: public potion {
public:
        wound_def(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
